> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Pending Order

> Modify SL, TP, trigger price, or limit price on a pending order.



## OpenAPI

````yaml /openapi.json patch /orders/pending/{order_id}
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /orders/pending/{order_id}:
    patch:
      tags:
        - Orders
      summary: Modify Pending Order
      description: Modify SL, TP, trigger price, or limit price on a pending order.
      operationId: modify_pending_order_orders_pending__order_id__patch
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: integer
            title: Order Id
        - name: login
          in: query
          required: true
          schema:
            type: integer
            title: Login
            description: Trading account login
          description: Trading account login
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModifyPendingOrderRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PendingOrderResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ModifyPendingOrderRequest:
      properties:
        sl:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Sl
        tp:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Tp
        trailing_stop:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Trailing Stop
        trigger_price:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          title: Trigger Price
        limit_price:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          title: Limit Price
      type: object
      title: ModifyPendingOrderRequest
      description: >-
        Modify SL, TP, trailing stop, trigger price, or limit price on a pending
        order.
    PendingOrderResponse:
      properties:
        order:
          type: integer
          title: Order
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        login:
          type: integer
          title: Login
        symbol:
          type: string
          title: Symbol
        cmd:
          type: integer
          title: Cmd
        volume:
          type: number
          title: Volume
        trigger_price:
          type: number
          title: Trigger Price
        limit_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Limit Price
        sl:
          anyOf:
            - type: number
            - type: 'null'
          title: Sl
        tp:
          anyOf:
            - type: number
            - type: 'null'
          title: Tp
        trailing_stop:
          anyOf:
            - type: number
            - type: 'null'
          title: Trailing Stop
        expiry_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expiry At
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        triggered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Triggered At
        filled_order:
          anyOf:
            - type: integer
            - type: 'null'
          title: Filled Order
      type: object
      required:
        - order
        - request_id
        - login
        - symbol
        - cmd
        - volume
        - trigger_price
        - sl
        - tp
        - expiry_at
        - comment
        - status
        - created_at
        - triggered_at
        - filled_order
      title: PendingOrderResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````